Xeonr Developer Docs

List Identity Providers

POST
/xeonr.auth.private.v1.OrganisationService/ListIdentityProviders

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.OrganisationService/ListIdentityProviders" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "identityProviders": [
    {
      "id": "string",
      "organisationId": "string",
      "slug": "string",
      "displayName": "string",
      "enabled": true,
      "clientId": "string",
      "clientSecret": "string",
      "redirectUrl": "string",
      "issuerUrl": "string",
      "authorizationUrl": "string",
      "tokenUrl": "string",
      "userinfoUrl": "string",
      "scopes": [
        "string"
      ],
      "usesPasswordClient": true,
      "iacManaged": true,
      "clientSecretSet": true,
      "systemManaged": true
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}